commit:     3b3989754571dd1f936cf106f8ee8e82ec3f7040
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  5 12:46:53 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Sep  5 12:47:27 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b398975

media-video/popcorntime-bin: add 0.4.9

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 media-video/popcorntime-bin/Manifest               |  2 +
 .../popcorntime-bin/popcorntime-bin-0.4.9.ebuild   | 92 ++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/media-video/popcorntime-bin/Manifest 
b/media-video/popcorntime-bin/Manifest
index 37e340e29190..3a825ead4738 100644
--- a/media-video/popcorntime-bin/Manifest
+++ b/media-video/popcorntime-bin/Manifest
@@ -1,2 +1,4 @@
 DIST Popcorn-Time-0.4.8-amd64.deb 101235940 BLAKE2B 
a967efc4805e14f4292cf6b4652f2c6d9e3050c55789499b055b8cdac39d25d7e3f875f1e2dab79a9eb7199d93bcdf50507ff1eee5e065495d644945a1ac73e5
 SHA512 
a2f5be372908ae383e23b8f11c49d43865c8b1e3cd6acff1191809fd96e7f8fc8062cffa7b33bde4a8c91436acce75ad89461fb185d23bc0d96d3c81699f1bbd
 DIST Popcorn-Time-0.4.8-i386.deb 104249328 BLAKE2B 
46e8b8f34d5d18e6106f0fb32cf5a70a8b0e1f8583838af81a5fd731caf04648e82516152ec4f346f2251b8d23c5c0aeed18b88e6fd7e9fc2f9ff766a19cfd18
 SHA512 
1719527b038bc170d3fa4659e11ca095753410a5ddc2922e2ebd78dacc1a252522e37be8d9916b95232f175ac9e50ea04eb83bda5e63ec7ca21433282d75501a
+DIST Popcorn-Time-0.4.9-amd64.deb 101129244 BLAKE2B 
a36d4ef4702ec9dd6b353ad0c0dd1c967d3a95eaf18ceb7c18c1e7f8418d7f8c0336a1d6c6b28c6f53bf657af8b00094c72b9729b91cb275ab5539f6450626ff
 SHA512 
7a837d11bbe4a7b51e1996dc4ff579e860285f3589bb8938e44ecfaf4f435b657832286f700c74126bfd4f94c485138eb6a32f65cdc36f90a7efbbd2f00a9586
+DIST Popcorn-Time-0.4.9-i386.deb 104225348 BLAKE2B 
d162f6afc7f57b2cc1ddf8d14a044cdb23a010b6949432418092b1ddfc778197298e61e3e1f0778ddf8becd57ecb72be78a55e39ef02bf6981c0d9e02844a08a
 SHA512 
5513a0e6a7e49a54ce4bca2cd16e82c763cc16a7d92bf6661e18ee6eecceb3d61043c3e106136ad286c85921de86033371abcc602112a3781b1a9e12ce73c660

diff --git a/media-video/popcorntime-bin/popcorntime-bin-0.4.9.ebuild 
b/media-video/popcorntime-bin/popcorntime-bin-0.4.9.ebuild
new file mode 100644
index 000000000000..194dd26d3375
--- /dev/null
+++ b/media-video/popcorntime-bin/popcorntime-bin-0.4.9.ebuild
@@ -0,0 +1,92 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHROMIUM_LANGS="
+       am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu he 
hi
+       hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr 
sv
+       sw ta te th tr uk vi zh-CN zh-TW
+"
+
+inherit chromium-2 desktop unpacker xdg
+
+DESCRIPTION="BitTorrent client that includes an integrated media player"
+HOMEPAGE="https://github.com/popcorn-official/popcorn-desktop";
+SRC_URI="
+       amd64? ( 
https://github.com/popcorn-official/popcorn-desktop/releases/download/v${PV}/Popcorn-Time-${PV}-amd64.deb
 )
+       x86? ( 
https://github.com/popcorn-official/popcorn-desktop/releases/download/v${PV}/Popcorn-Time-${PV}-i386.deb
 )
+"
+S="${WORKDIR}"
+
+KEYWORDS="-* ~amd64 ~x86"
+# Electron bundles a bunch of things
+LICENSE="
+       MIT BSD BSD-2 BSD-4 AFL-2.1 Apache-2.0 Ms-PL GPL-2 LGPL-2.1 APSL-2
+       unRAR OFL CC-BY-SA-3.0 MPL-2.0 android public-domain all-rights-reserved
+"
+SLOT="0"
+RESTRICT="bindist mirror"
+
+RDEPEND="
+       app-accessibility/at-spi2-core:2
+       dev-libs/atk
+       dev-libs/expat
+       dev-libs/nspr
+       dev-libs/nss
+       media-libs/alsa-lib
+       net-print/cups
+       sys-apps/dbus
+       sys-libs/glibc
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf
+       x11-libs/gtk+:3
+       x11-libs/libX11
+       x11-libs/libxcb
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libXScrnSaver
+       x11-libs/libXtst
+       x11-libs/pango
+"
+
+QA_PREBUILT="opt/Popcorn-Time/*"
+
+pkg_pretend() {
+       chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+       default
+       # cleanup languages
+       pushd "opt/Popcorn-Time/locales" || die
+       chromium_remove_language_paks
+       popd || die
+}
+
+src_configure() {
+       chromium_suid_sandbox_check_kernel_config
+       default
+}
+
+src_install() {
+       doicon -s 256 "usr/share/icons/butter.png"
+
+       domenu usr/share/applications/Popcorn-Time.desktop
+
+       local DESTDIR="/opt/Popcorn-Time"
+       pushd "opt/Popcorn-Time" || die
+
+       # Copy all the things in
+       dodir "${DESTDIR}"
+       mv * "${ED}/${DESTDIR}" || die
+
+       dosym "${DESTDIR}"/Popcorn-Time /opt/bin/Popcorn-Time
+       popd || die
+}

Reply via email to